App\Library\Amazon\Classes\PercussionInstruments:
    xml_root_name: PercussionInstruments
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\PercussionInstruments\VariationDataAType
        additionalSpecifications:
            expose: true
            access_type: public_method
            serialized_name: AdditionalSpecifications
            accessor:
                getter: getAdditionalSpecifications
                setter: setAdditionalSpecifications
            type: string
        amplifierType:
            expose: true
            access_type: public_method
            serialized_name: AmplifierType
            accessor:
                getter: getAmplifierType
                setter: setAmplifierType
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\PercussionInstruments\ColorSpecificationAType
        cableLength:
            expose: true
            access_type: public_method
            serialized_name: CableLength
            accessor:
                getter: getCableLength
                setter: setCableLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        countryProducedIn:
            expose: true
            access_type: public_method
            serialized_name: CountryProducedIn
            accessor:
                getter: getCountryProducedIn
                setter: setCountryProducedIn
            type: string
        drumSetPieceQty:
            expose: true
            access_type: public_method
            serialized_name: DrumSetPieceQty
            accessor:
                getter: getDrumSetPieceQty
                setter: setDrumSetPieceQty
            type: integer
        drumSticksSize:
            expose: true
            access_type: public_method
            serialized_name: DrumSticksSize
            accessor:
                getter: getDrumSticksSize
                setter: setDrumSticksSize
            type: string
        instrumentKey:
            expose: true
            access_type: public_method
            serialized_name: InstrumentKey
            accessor:
                getter: getInstrumentKey
                setter: setInstrumentKey
            type: string
        range:
            expose: true
            access_type: public_method
            serialized_name: Range
            accessor:
                getter: getRange
                setter: setRange
            type: string
        scaleLength:
            expose: true
            access_type: public_method
            serialized_name: ScaleLength
            accessor:
                getter: getScaleLength
                setter: setScaleLength
            type: string
        instrumentSize:
            expose: true
            access_type: public_method
            serialized_name: InstrumentSize
            accessor:
                getter: getInstrumentSize
                setter: setInstrumentSize
            type: string
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        malletHardness:
            expose: true
            access_type: public_method
            serialized_name: MalletHardness
            accessor:
                getter: getMalletHardness
                setter: setMalletHardness
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        bodyMaterial:
            expose: true
            access_type: public_method
            serialized_name: BodyMaterial
            accessor:
                getter: getBodyMaterial
                setter: setBodyMaterial
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        musicalStyle:
            expose: true
            access_type: public_method
            serialized_name: MusicalStyle
            accessor:
                getter: getMusicalStyle
                setter: setMusicalStyle
            type: string
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        numberOfStrings:
            expose: true
            access_type: public_method
            serialized_name: NumberOfStrings
            accessor:
                getter: getNumberOfStrings
                setter: setNumberOfStrings
            type: integer
        numberOfKeyboardKeys:
            expose: true
            access_type: public_method
            serialized_name: NumberOfKeyboardKeys
            accessor:
                getter: getNumberOfKeyboardKeys
                setter: setNumberOfKeyboardKeys
            type: integer
        keyAction:
            expose: true
            access_type: public_method
            serialized_name: KeyAction
            accessor:
                getter: getKeyAction
                setter: setKeyAction
            type: string
        percussionDiameter:
            expose: true
            access_type: public_method
            serialized_name: PercussionDiameter
            accessor:
                getter: getPercussionDiameter
                setter: setPercussionDiameter
            type: App\Library\Amazon\Classes\LengthIntegerDimensionType
        itemStyling:
            expose: true
            access_type: public_method
            serialized_name: ItemStyling
            accessor:
                getter: getItemStyling
                setter: setItemStyling
            type: string
        polarPattern:
            expose: true
            access_type: public_method
            serialized_name: PolarPattern
            accessor:
                getter: getPolarPattern
                setter: setPolarPattern
            type: string
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        maximumSampleRate:
            expose: true
            access_type: public_method
            serialized_name: MaximumSampleRate
            accessor:
                getter: getMaximumSampleRate
                setter: setMaximumSampleRate
            type: App\Library\Amazon\Classes\FrequencyDimensionType
        connectorType:
            expose: true
            access_type: public_method
            serialized_name: ConnectorType
            accessor:
                getter: getConnectorType
                setter: setConnectorType
            type: string
        signalFormat:
            expose: true
            access_type: public_method
            serialized_name: SignalFormat
            accessor:
                getter: getSignalFormat
                setter: setSignalFormat
            type: string
        digitalAudioProtocol:
            expose: true
            access_type: public_method
            serialized_name: DigitalAudioProtocol
            accessor:
                getter: getDigitalAudioProtocol
                setter: setDigitalAudioProtocol
            type: string
        hardwareInterface:
            expose: true
            access_type: public_method
            serialized_name: HardwareInterface
            accessor:
                getter: getHardwareInterface
                setter: setHardwareInterface
            type: App\Library\Amazon\Classes\HardwareInterface
        operatingSystem:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystem
            accessor:
                getter: getOperatingSystem
                setter: setOperatingSystem
            type: string
        supportedSoftware:
            expose: true
            access_type: public_method
            serialized_name: SupportedSoftware
            accessor:
                getter: getSupportedSoftware
                setter: setSupportedSoftware
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        guitarAttribute:
            expose: true
            access_type: public_method
            serialized_name: GuitarAttribute
            accessor:
                getter: getGuitarAttribute
                setter: setGuitarAttribute
            type: string
        guitarBridgeSystem:
            expose: true
            access_type: public_method
            serialized_name: GuitarBridgeSystem
            accessor:
                getter: getGuitarBridgeSystem
                setter: setGuitarBridgeSystem
            type: string
        guitarPickThickness:
            expose: true
            access_type: public_method
            serialized_name: GuitarPickThickness
            accessor:
                getter: getGuitarPickThickness
                setter: setGuitarPickThickness
            type: string
        guitarPickupConfiguration:
            expose: true
            access_type: public_method
            serialized_name: GuitarPickupConfiguration
            accessor:
                getter: getGuitarPickupConfiguration
                setter: setGuitarPickupConfiguration
            type: string
        handOrientation:
            expose: true
            access_type: public_method
            serialized_name: HandOrientation
            accessor:
                getter: getHandOrientation
                setter: setHandOrientation
            type: string
        isACAdapterIncluded:
            expose: true
            access_type: public_method
            serialized_name: IsACAdapterIncluded
            accessor:
                getter: getIsACAdapterIncluded
                setter: setIsACAdapterIncluded
            type: boolean
        mixerChannelQty:
            expose: true
            access_type: public_method
            serialized_name: MixerChannelQty
            accessor:
                getter: getMixerChannelQty
                setter: setMixerChannelQty
            type: integer
        neckMaterial:
            expose: true
            access_type: public_method
            serialized_name: NeckMaterial
            accessor:
                getter: getNeckMaterial
                setter: setNeckMaterial
            type: string
        speakerAmplificationType:
            expose: true
            access_type: public_method
            serialized_name: SpeakerAmplificationType
            accessor:
                getter: getSpeakerAmplificationType
                setter: setSpeakerAmplificationType
            type: string
        speakerCount:
            expose: true
            access_type: public_method
            serialized_name: SpeakerCount
            accessor:
                getter: getSpeakerCount
                setter: setSpeakerCount
            type: integer
        speakerSize:
            expose: true
            access_type: public_method
            serialized_name: SpeakerSize
            accessor:
                getter: getSpeakerSize
                setter: setSpeakerSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        fretboardMaterial:
            expose: true
            access_type: public_method
            serialized_name: FretboardMaterial
            accessor:
                getter: getFretboardMaterial
                setter: setFretboardMaterial
            type: string
        backMaterial:
            expose: true
            access_type: public_method
            serialized_name: BackMaterial
            accessor:
                getter: getBackMaterial
                setter: setBackMaterial
            type: string
        wirelessMicrophoneFrequency:
            expose: true
            access_type: public_method
            serialized_name: WirelessMicrophoneFrequency
            accessor:
                getter: getWirelessMicrophoneFrequency
                setter: setWirelessMicrophoneFrequency
            type: App\Library\Amazon\Classes\FrequencyIntegerDimensionType
        topMaterial:
            expose: true
            access_type: public_method
            serialized_name: TopMaterial
            accessor:
                getter: getTopMaterial
                setter: setTopMaterial
            type: string
        outputWattage:
            expose: true
            access_type: public_method
            serialized_name: OutputWattage
            accessor:
                getter: getOutputWattage
                setter: setOutputWattage
            type: integer
        pickguardDescription:
            expose: true
            access_type: public_method
            serialized_name: PickguardDescription
            accessor:
                getter: getPickguardDescription
                setter: setPickguardDescription
            type: string
        proficiencyLevel:
            expose: true
            access_type: public_method
            serialized_name: ProficiencyLevel
            accessor:
                getter: getProficiencyLevel
                setter: setProficiencyLevel
            type: string
        recorderTrackCount:
            expose: true
            access_type: public_method
            serialized_name: RecorderTrackCount
            accessor:
                getter: getRecorderTrackCount
                setter: setRecorderTrackCount
            type: integer
        stringGauge:
            expose: true
            access_type: public_method
            serialized_name: StringGauge
            accessor:
                getter: getStringGauge
                setter: setStringGauge
            type: string
        stringMaterial:
            expose: true
            access_type: public_method
            serialized_name: StringMaterial
            accessor:
                getter: getStringMaterial
                setter: setStringMaterial
            type: string
